Skip to main content
`Ctrl`+`K`

# KSPMonitorDynamicToleranceCreate

Creates the context used by `KSPMonitorDynamicTolerance()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorDynamicToleranceCreate(PetscCtx ctx)

Logically Collective

## Output Parameter

- ctx - a void pointer

## Options Database Key

- -sub_ksp_dynamic_tolerance coef - coefficient of dynamic tolerance for inner solver, default is 1.0

## Note

Use before calling `KSPMonitorSet()` with `KSPMonitorDynamicTolerance()`

The default coefficient for the tolerance can be changed with `KSPMonitorDynamicToleranceSetCoefficient()`

## See Also

Flexible Krylov Methods, `KSP`, `KSPMonitorDynamicTolerance()`, `KSPMonitorDynamicToleranceDestroy()`, `KSPMonitorDynamicToleranceSetCoefficient()`

## Level

advanced

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages